# $Revision: 1.18.2.2 $, $Date: 2003/04/28 12:51:53 $
#
# Conditional build:
# _with_tests - perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Template
%define	pnam	Toolkit
Summary:	Template::Toolkit Perl extension
Summary(pl):	Rozszerzenie perla: Template::Toolkit
Name:		perl-Template-Toolkit
Version:	2.08
Release:	2
License:	GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
Patch0:		%{name}-paths.patch
URL:		http://www.template-toolkit.org
BuildRequires:	perl >= 5.6.1
BuildRequires:	perl(File::Spec) >= 0.6
BuildRequires:	perl-AppConfig >= 1.52
BuildRequires:	perl-DBI >= 1.14
BuildRequires:	perl-GD >= 1.32
BuildRequires:	perl-GD-Graph >= 1.33
BuildRequires:	perl-GD-Graph3d >= 0.55
BuildRequires:	perl-GD-TextUtil >= 0.80
BuildRequires:	perl-Pod-POM >= 0.1
BuildRequires:	perl-Text-Autoformat >= 1.03
BuildRequires:	perl-XML-Parser >= 2.23
BuildRequires:	perl-XML-RSS >= 0.9
BuildRequires:	perl-XML-Simple
BuildRequires:	perl-XML-XPath >= 1.00
BuildRequires:	perl-libxml-enno
BuildRequires:	perl(XML::DOM) >= 1.27
BuildRequires:	rpm-perlprov >= 4.0.2-104
Requires:	tetex-dvips
Requires:	tetex-latex
Requires:	tetex-pdftex
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Template Toolkit is a collection of modules which implement a
fast, flexible, powerful and extensible template processing system. It
was originally designed and remains primarily useful for generating
dynamic web content, but it can be used equally well for processing
any other kind of text based documents: HTML, XML, POD, PostScript,
LaTeX, and so on.

It can be used as a stand-alone Perl module or embedded within an
Apache/mod_perl server for generating highly configurable dynamic web
content. A number of Perl scripts are also provided which can greatly
simplify the process of creating and managing static web content and
other offline document systems.

%description -l pl
Template Toolkit to zestaw moduw z implementacj szybkiego,
elastycznego, potnego i rozszerzalnego systemu przetwarzania
wzorcw. Oryginalnie zosta zaprojektowany i nadal jest uywany
gwnie do generowania dynamicznych stron WWW, ale moe by take
uyty do przetwarzania dowolnych innych rodzajw dokumentw
tekstowych: HTML, XML, POD, PostScript, LaTeX itd.

Moe by uywany jako samodzielny modu Perla, lub wbudowany w serwer
Apache/mod_perl do wysoko konfigurowalnego generowania dynamicznych
stron WWW. Zaczonych jest wiele skryptw Perla, ktre mog uproci
proces tworzenia i zarzdzania statycznymi stronami WWW oraz innymi
systemami dokumentw offline.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	TT_DBI=n \
	TT_LATEX=y \
	TT_PREFIX=%{_examplesdir}/%{name}-%{version} \
	TT_IMAGES=%{_examplesdir}/%{name}-%{version}/images \
	TT_ACCEPT=y

%{__make} OPTIMIZE="%{rpmcflags}"

%{?_with_tests:%{__make} test}
# GD tests fail as in perl-GD (2.01)
# possible explanation - see perl-GD.spec

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes HACKING README TODO
%attr(755,root,root) %{_bindir}/*
%{perl_sitearch}/Template.pm
%{perl_sitearch}/Template
%dir %{perl_sitearch}/auto/Template
%dir %{perl_sitearch}/auto/Template/Stash
%dir %{perl_sitearch}/auto/Template/Stash/XS
%{perl_sitearch}/auto/Template/Stash/XS/*.bs
%attr(755,root,root) %{perl_sitearch}/auto/Template/Stash/XS/*.so
%{_mandir}/man[13]/*
%{_examplesdir}/%{name}-%{version}

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All below listed persons can be reached on <cvs_login>@pld.org.pl

$Log: perl-Template-Toolkit.spec,v $
Revision 1.18.2.2  2003/04/28 12:51:53  ankry
- really rel++

Revision 1.18.2.1  2003/03/13 00:58:53  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.18  2003/02/25 00:41:49  radek
- use the __perl macro

Revision 1.17  2003/02/18 15:38:32  ankry
- massive attack: change CPAN URLs

Revision 1.16  2003/02/16 05:34:43  migo
- URL: added

Revision 1.15  2002/09/27 21:05:54  ankry
- added tests (disabled by default)
- version 2.08, rel. 1

Revision 1.14  2002/09/11 20:24:59  qboosh
- it can't be noarch!
- removed .packlist, fixed perms, release 3

Revision 1.13  2002/07/13 23:10:26  qboosh
- standarized examples dir
- BR: perl-XML-Simple

Revision 1.12  2002/07/12 22:38:09  ankry
- BR: perl-AppConfig
- release 2

Revision 1.11  2002/07/12 09:49:56  qboosh
- new %%doc and cosmetics

Revision 1.10  2002/07/11 08:04:16  depesz
- new version; should work; STBR

Revision 1.9  2002/07/10 08:48:48  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.8  2002/06/16 12:12:12  kloczek
- removed INSTALL from %doc.

Revision 1.7  2002/06/16 11:55:59  depesz
- patch corrected
- should build niecly

Revision 1.6  2002/05/11 14:28:13  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.5  2002/02/25 10:34:33  depesz
cleanup; revision++

Revision 1.4  2002/02/22 23:29:33  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.3  2002/02/20 11:17:34  depesz
- corrected wrongimage path
- $revision++;

Revision 1.2  2002/02/20 10:44:12  qboosh
- pl description

Revision 1.1  2002/02/20 10:01:47  depesz
- new module (very important module)
- no polish translation (sorry)
